package de.ugoe.cs.autoquest.plugin.usability2.rules.results;

import java.util.Iterator;
import java.util.List;

public class JoinedResult extends AbstractResult {

    List<IResult> results;
    
    
    public JoinedResult(boolean present, List<IResult> results) {
        super(present);
        this.results = results;
    }
    
    @Override
    public Iterator<IMatch> iterator() {
        return new Iterator<IMatch>() {
            @Override
            public void remove() {
                throw new UnsupportedOperationException();
            }
            
            @Override
            public IMatch next() {
                return null;
            }
            
            @Override
            public boolean hasNext() {
                return false;
            }
        };
    }

}
